int_decl.hpp File Reference
`#include "msgpack/versioning.hpp"`
`#include "msgpack/adaptor/adaptor_base.hpp"`
`#include <limits>`

Go to the source code of this file.

## Classes

struct | msgpack::type::detail::convert_integer_sign< T, Signed >
struct | msgpack::type::detail::is_signed< T >
struct | msgpack::type::detail::object_char_sign< Signed >

## Namespaces

| msgpack
| msgpack::type
| msgpack::type::detail

## Functions

template<typename T >
T | msgpack::type::detail::convert_integer (msgpack::object const &o)
void | msgpack::type::detail::object_char (msgpack::object &o, char v)